var sevenday = echarts.init(document.getElementById('sevenday'));
var optionSevenday = {
	title: {
		text: '最近数据图',
		top: '24%',
		textStyle: {
			fontWeight: 'normal',
		},
		left: 'center'
	},
	tooltip: {},
	legend: {data: [] },
	grid: {top: '37%'},
	xAxis: {data: [] },
	yAxis: {type: 'value'},
	dataZoom: [
		{type: 'slider', xAxisIndex: 0, start: 0, end: 100 },
		{type: 'inside', xAxisIndex: 0, start: 0, end: 100 },
		{type: 'slider', yAxisIndex: 0, start: 0, end: 100 },
		{type: 'inside', yAxisIndex: 0, start: 0, end: 100 }
	],
	series: []
};

//  获取门店数据列表
$$.ajax({
	url: URL + 'Web/WebReport/getStroeList',
	method: 'POST',
	data: {
		is_ajax: 1,
		token: localStorage.getItem('token'),
	},
	dataType: 'json',
	error: function(err) {
		console.log(err);
	},
	success: function(data) {
		$$.each(data.data, function(index, item) {
			var newHTML = '<option>'+item.Name+'</option>';
			$$('select').append(newHTML);
		});
	}
});

getData();
$$('.yes').on('click', function() {
	var $dateEnd = $$('#date-end').val();
	if ($dateEnd == '') {
		app.alert('温馨提示', '请选择日期后再查询。');
	} else {
		getData();
	}
});

function getData() {
	var $dateEnd = $$('#date-end').val();
	app.showPreloader('加载中');
	
	// 表格数据统计
	$$.ajax({
		url: URL + 'Web/HotelReport/symxb',
		method: 'POST',
		data: {
			is_ajax: 1,
			token: localStorage.getItem('token'),
			df: $dateEnd,
			type: 3
		},
		dataType: 'json',
		success: function(data) {
			app.hidePreloader();

			// 折线图
			$$.each(data.data[2], function(index, item) {
				optionSevenday.legend.data.push(item);
			});
			$$.each(data.data[3], function(index, item) {
				optionSevenday.xAxis.data.push(item);
			});
			$$.each(data.data[4], function(index, item) {
				optionSevenday.series.push(item);
			});

			sevenday.setOption(optionSevenday);

			var html = '';
			if (data.data[5].length > 0) {
				$$.each(data.data[5], function(index, item) {
					console.log(item);
					html += '<tr>';
					html += '<td>'+item.Name+'</td>';
					html += '<td>'+item.AccountDate+'</td>';
					html += '<td>'+item.Paymethod+'</td>';
					html += '<td>'+item.Amount+'</td>';
					html += '<td>'+item.PreparedBy+'</td>';
					html += '<td>'+item.XDate+'</td>';
					html += '<td>'+item.SeqNo+'</td>';
					html += '<td>无</td>';
					html += '</tr>';
				});
				$$('.tbody').html(html);
			} else {
				app.alert('温馨提示', '当前日期没有数据，请查询其他日期。');
			}
		}
	});
}