//  获取门店数据列表
$$.ajax({
	url: URL + 'Web/WebReport/getStroeList',
	method: 'POST',
	data: {
		is_ajax: 1,
		token: localStorage.getItem('token'),
	},
	dataType: 'json',
	error: function(err) {
		console.log(err);
	},
	success: function(data) {
		$$.each(data.data, function(index, item) {
			var newHTML = '<option>'+item.Name+'</option>';
			$$('select').append(newHTML);
		});
	}
});

$$('.yes').on('click', function() {
	var $total = $$('.room-total');
	var $occupy = $$('.room-occupy');
	var $probability = $$('.room-probability');
	var $average = $$('.room-average');
	var $revenue = $$('.room-revenue');
	var $service = $$('.room-service');
	var $expenditure = $$('.room-expenditure');
	var $dateStart = $$('#date-start').val();
	var $dateEnd = $$('#date-end').val();

	if ($dateStart == '' || $dateEnd == '') {
		app.alert('温馨提示', '请选择日期后再查询。');
	} else {
		app.showPreloader('加载中');
		$$.ajax({
			url: URL + 'Web/WebReport/getCountData',
			method: 'POST',
			data: {
				is_ajax: 1,
				token: localStorage.getItem('token'),
				stime: $dateStart,
				etime: $dateEnd
			},
			dataType: 'json',
			success: function(data) {
				console.log(data);

				if (data.code == 0) {
					app.hidePreloader();
					if (data.data.countInfo.ZS == null) {
						app.alert('温馨提示', '今天暂无数据，请尝试查询其它日期。');
						return false
					}

					var average = parseInt(data.data.countInfo.FZSR) / parseInt(data.data.countInfo.ZY);
					var probability = (parseInt(data.data.countInfo.ZY) / parseInt(data.data.countInfo.ZS)) * 100;

					$total.text(parseInt(data.data.countInfo.ZS )+ '间');
					$occupy.text(parseInt(data.data.countInfo.ZY) + '间');
					$probability.text(probability.toFixed(2) + '%');
					$average.text(average.toFixed(2) + '元');
					$revenue.text(data.data.countInfo.FZSR + '元');
					$service.text(data.data.countInfo.FWF + '元');
					$expenditure.text(data.data.countInfo.YJ + '元');
				}
			}
		});

		// 表格数据统计
		$$.ajax({
			url: URL + 'Web/WebReport/getBusinessCountData',
			method: 'POST',
			data: {
				is_ajax: 1,
				token: localStorage.getItem('token'),
				stime: $dateStart,
				etime: $dateEnd,
				type: 3
			},
			dataType: 'json',
			success: function(data) {
				console.log(data);
				var html = '';
				var storeArr = data.data.storeArr;
				$$.each(data.data.countData, function(time, obj) {
					$$.each(obj, function(mid, arr) {
						$$.each(arr, function(key, value) {
							console.log(value);

							var roomTotal = (parseInt(value.I))+(parseInt(value.IO));
							var difference = (value.ActualRent) - (value.AcademicRent);
							var averageRent = (value.ActualRent)/(value.I+value.IO);
							var avgRentDiff = (averageRent) - (value.AcademicRent/(value.I+value.IO));

							html += '<tr>';
							html += '<td>'+storeArr[value.MID]+'</td>';
							html += '<td>'+value.AccountDate+'</td>';
							html += '<td>'+value.PriceGroupDescription+'</td>';
							html += '<td>'+roomTotal+'</td>';
							html += '<td>'+((roomTotal/(value.TotalRooms)) * 100).toFixed(2) + '%' +'</td>';
							html += '<td>'+value.AcademicRent+'</td>';
							html += '<td>'+value.ActualRent+'</td>';
							html += '<td>'+difference+'</td>';
							if (roomTotal == 0) {roomTotal = 1; }
							html += '<td>'+((value.ActualRent)/roomTotal).toFixed(2)+'</td>';
							html += '<td>'+(difference/roomTotal).toFixed(2)+'</td>';
							html += '</tr>';
						});
					});
				});
				$$('.tbody').html(html);
			}
		});
	}
});